# Myhero - To Be Your Dream Maker

A nodejs game server, based on [NetEase/Pomelo](https://github.com/NetEase/pomelo).


## Installation
You can clone myhero into local:
```shell
$ git clone https://github.com/JustLua/myhero.git
```

but we recommend you to global install myhero:
```shell
$ npm install myhero -g
```
Note: maybe you should use `sudo` to `npm install`

## Usage
First of all, you should initialize a your project after install:
```shell
$ myhero init <your-project-name>
```
A `<your-project-name>` directory will be created after init done,
and then you can find two important directories under `<your-project-name>`:
one is `game-server`, another one is `web-server`.

For most of developers, we just need focus on `game-server`.

If your client is a H5 web, `web-server` will be used, or you can just use `web-server`
to build your http/https server.

Now, let's start game server:
```shell
$ cd <your-project-name>
$ cd game-server
$ myhero start .
```

and stop server just run:
```shell
$ myhero stop .
```
